Kann keine Erweiterungen erstellen, plv8 postgresql

Nach der Installation postgres, können keine Verlängerung plv8.

Ich bin verwenden: CREATE EXTENSION plv8;

Ich bin immer:

ERROR:  could not open extension control file "/usr/local/share/postgresql/extension/plv8.control": No such file or directory
********** Error **********

ERROR: could not open extension control file "/usr/local/share/postgresql/extension/plv8.control": No such file or directory
SQL state: 58P01

version postgres: 9.6.2
version pgAdmin4: 1.4

Installieren plv8?

InformationsquelleAutor | 2017-04-28



One Reply
  1. 3

    Sollte diese Arbeit auf den meisten Plattformen (https://github.com/plv8/plv8/issues/212#issuecomment-287589193):

    $ easy_install pgxnclient
    $ pgxnclient install plv8

    Es hat nicht funktioniert für mich aber. Die einzige Lösung, die mir kam, war Gebäude der Bibliothek von Quelle.

    Wenn Sie nicht über wget installiert ist, führen Sie:

    $ brew install wget

    Führen:

    $ wget https://github.com/plv8/plv8/archive/v2.0.0.tar.gz
    $ tar -xvzf v2.0.0.tar.gz
    $ cd plv8-2.0.0
    $ make static
    $ make install

    Es funktionierte für mich.

    • Beachten Sie, dass $ make static benötigt python 2.7 (python 3 wird nicht funktionieren)

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.